'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../suir/icon/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardAction = function MicroCardAction(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(_Icon2['default'], (0, _extends3['default'])({}, externalAttributes, {
    onClick: props.onClick,
    className: 'ei microcard__arrow-right arrow_carrot-right ' + props.className }));
};

MicroCardAction.defaultProps = {};

MicroCardAction.propTypes = {};

exports['default'] = MicroCardAction;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardAction.js.map