'use strict';

exports.__esModule = true;

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _externalAttributeFilter = require('../../util/externalAttributeFilter');

var _externalAttributeFilter2 = _interopRequireDefault(_externalAttributeFilter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var MicroCardCount = function MicroCardCount(props) {
  var externalAttributes = (0, _externalAttributeFilter2['default'])(props);
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    (0, _extends3['default'])({}, externalAttributes, { className: 'microcard__count ' + props.className }),
    props.value
  );
};

MicroCardCount.defaultProps = {
  color: '#FFFFFF'
};

MicroCardCount.propTypes = {
  color: _propTypes2['default'].string

};

exports['default'] = MicroCardCount;
module.exports = exports['default'];
//# sourceMappingURL=MicroCardCount.js.map