'use strict';

exports.__esModule = true;

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _TopNavContent = require('./TopNavContent');

var _TopNavContent2 = _interopRequireDefault(_TopNavContent);

var _TopNavLocalTime = require('./TopNavLocalTime');

var _TopNavLocalTime2 = _interopRequireDefault(_TopNavLocalTime);

require('../../styles/components/top-nav.css');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var TopNav = function (_React$Component) {
  (0, _inherits3['default'])(TopNav, _React$Component);

  function TopNav() {
    (0, _classCallCheck3['default'])(this, TopNav);
    return (0, _possibleConstructorReturn3['default'])(this, _React$Component.apply(this, arguments));
  }

  TopNav.prototype.render = function render() {
    return _react2['default'].createElement(
      'div',
      { className: 'nav__main clearfix' },
      this.props.children
    );
  };

  return TopNav;
}(_react2['default'].Component);

TopNav.Content = _TopNavContent2['default'];
TopNav.LocalTime = _TopNavLocalTime2['default'];


TopNav.propTypes = {
  /** One of: Content, LocalTime, Node */
  children: _propTypes2['default'].node
};

exports['default'] = TopNav;
module.exports = exports['default'];
//# sourceMappingURL=TopNav.js.map